%define debug_package %{nil}

Summary:	Tools for the extraction of digital artifacts from volatile memory (RAM) images

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		Volatility
Version:	2.6.1
%define rel 8
Release:	%{rel}%{?dist}
URL:		https://github.com/volatilityfoundation/volatility
License:	GPL
Group:		Applications/Forensics Tools
Source0:	%{name}Docker-%{version}.tar.gz
Patch1:		%{name}Docker-%{version}-patch-001
BuildRoot:	%{buildroot}
Requires:	docker
Provides:	Volatility-${version}-%{release}

%description
The Volatility Framework is a completely open collection of tools,
implemented in Python under the GNU General Public License, for the
extraction of digital artifacts from volatile memory (RAM) images. The
extraction techniques are performed completely independent of the system
being investigated but offer unprecedented visibilty into the runtime
state of the system. The framework is intended to introduce people to the
techniques and complexities associated with extracting digital artifacts
from volatile memory images and provide a platform for further work into
this exciting area of research.

The Volatility Framework demonstrates our committment to and belief
in the importance of open source digital investigation tools. Volatile
Systems is committed to the belief that the technical procedures used to
extract digital evidence should be open to peer analysis and review. We
also believe this is in the best interest of the digital investigation
community, as it helps increase the communal knowledge about systems we
are forced to investigate. Similarly, we do not believe the availability
of these tools should be restricted and therefore encourage people to
modify, extend, and make derivative works, as permitted by the GPL.

This version is built with Docker in order to lessen the dependency on Python 2
in the repository.

%prep
%setup -n %{name}Docker-%{version}

%build
sed -i -e "s/NAME/%{name}/" -e "s/VERSION/%{version}/" -e "s/RELEASE/%{rel}/" vol.sh
patch < %{PATCH1}

%install
%{__install} -Dp -m755 vol.sh %{buildroot}%{_bindir}/vol.sh
ln -s vol.sh %{buildroot}/%{_bindir}/vol.py
ln -s vol.sh %{buildroot}/%{_bindir}/vol
ln -s vol.py %{buildroot}/%{_bindir}/volatility

%files
%doc Dockerfile
%attr(0755, root, root)		%{_bindir}/vol.sh
%{_bindir}/vol.py
%{_bindir}/vol
%{_bindir}/volatility

%changelog
* Fri Mar 11 2022 Lawrence R. Rogers <lrr@cert.org> 2.6.1-8
* Release 2.6.1-8
	The errors in the script and logic changes have been corrected by the patch.
	The container is now based on CentOS 7.9.2009 and uses volatility from LiFTeR as well as the community plugins.

* Sat Nov  6 2021 Lawrence R. Rogers <lrr@cert.org> 2.6.1-7
* Release 2.6.1-7
	This version uses a container based on Alpine Linux
	The container can be found at certlifter/%{name}-%{version}:%{rel}.
	Note that the Dockerfile is provided as part of this package.
